<?php

namespace App\Models;

use CodeIgniter\Model;

class ModelUnitKerja extends Model

{
    protected $table = 'unit_kerja'; // Nama tabel di database
    protected $primaryKey = 'id_unit'; // Primary key tabel
    protected $allowedFields = ['nama_unit']; // Kolom yang dapat diisi

    /**
     * Fungsi untuk mendapatkan semua data lansia
     *
     * @return array
     */
    public function getAllData()
    {
        return $this->orderBy('id_unit', 'DESC')->findAll();
    }

    /**
     * Fungsi untuk mendapatkan data lansia berdasarkan id_unit
     *
     * @param int $id_unit
     * @return array|null
     */
    public function getDataById($id_unit)
    {
        return $this->where('id_unit', $id_unit)->first();
    }

    /**
     * Fungsi untuk menambahkan data baru
     *
     * @param array $data
     * @return bool
     */
    public function tambahData($data)
    {
        return $this->insert($data);
    }

    /**
     * Fungsi untuk memperbarui data
     *
     * @param int $id_unit
     * @param array $data
     * @return bool
     */
    public function updateData($id_unit, $data)
    {
        return $this->update($id_unit, $data);
    }

    /**
     * Fungsi untuk menghapus data
     *
     * @param int $id_unit
     * @return bool
     */
    public function deleteData($id_unit)
    {
        return $this->delete($id_unit);
    }
}
